// ContainerAppDlg.h : header file
//
//{{AFX_INCLUDES()
#include "shapectl.h"
//}}AFX_INCLUDES

#if !defined(AFX_CONTAINERAPPDLG_H__8F149D09_720B_11D2_8BB0_000000000000__INCLUDED_)
#define AFX_CONTAINERAPPDLG_H__8F149D09_720B_11D2_8BB0_000000000000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CContainerAppDlgAutoProxy;

/////////////////////////////////////////////////////////////////////////////
// CContainerAppDlg dialog

class CContainerAppDlg : public CDialog
{
	DECLARE_DYNAMIC(CContainerAppDlg);
	friend class CContainerAppDlgAutoProxy;

// Construction
public:
	CContainerAppDlg(CWnd* pParent = NULL);	// standard constructor
	virtual ~CContainerAppDlg();

// Dialog Data
	//{{AFX_DATA(CContainerAppDlg)
	enum { IDD = IDD_CONTAINERAPP_DIALOG };
	CShapeCtl	*m_pActiveXCtl;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CContainerAppDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CContainerAppDlgAutoProxy* m_pAutoProxy;
	HICON m_hIcon;

	BOOL CanExit();

	// Generated message map functions
	//{{AFX_MSG(CContainerAppDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	virtual void OnOK();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONTAINERAPPDLG_H__8F149D09_720B_11D2_8BB0_000000000000__INCLUDED_)
